xfs
[Top] [All Lists]

[test] btrfs quotas testing

To: linux-btrfs@xxxxxxxxxxxxxxx, xfs@xxxxxxxxxxx
Subject: [test] btrfs quotas testing
From: Hemanth Kumar <hemanthkumar51@xxxxxxxxx>
Date: Fri, 15 Feb 2013 12:09:31 +0530
Cc: skjmca51@xxxxxxxxx, ganeshkumar14@xxxxxxxxx, kirantpatil@xxxxxxxxx, praneethu.u@xxxxxxxxx, chethan.casey@xxxxxxxxx, sensille@xxxxxxx, bo.li.liu@xxxxxxxxxx, sandeen@xxxxxxxxxx, Hemanth Kumar <hemanthkumar51@xxxxxxxxx>
Delivered-to: xfs@xxxxxxxxxxx
Dkim-signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113; h=x-received:from:to:cc:subject:date:message-id:x-mailer; bh=GVyF07PrxVZzBllINLIeNuT8vjjd/yhqr36/rHotypA=; b=gaZEa4lu841EBWmq+uD9G4ls99EJaWVJjJTC1x/+kLgJZ1euZwsaeeFwAGfBqhoUTb Gknw2roq5Haa2T9ugzdC2DNdrzWbBDGEcLqgDMW2M5WZQVLtC/JtjiAKBs11lZKJMWeP XZe+NhG4EmmaesY6aRiIrWphXFfJE1THOR7vekdH4eh8aSy3jkScswm0XOXPysHCFsXI 7h5Vt6kZ0B1D1NZx5EPfs+JSFnNnFed4ITN1Qs5+kjKBFg0bwdARHjim6C01TpThOBCO zJpsh+yaSJXhpeQpJLZmMZfVl4kZImEMz9apmz7XMSWdj3pZzSACYjplevz+RIb+dMG3 gQTA==
Signed-off-by: Hemanth Kumar <hemanthkumar51@xxxxxxxxx>
---
 quota.sh | 23 +++++++++++++++++++++++
 1 file changed, 23 insertions(+)
 create mode 100644 quota.sh

diff --git a/quota.sh b/quota.sh
new file mode 100644
index 0000000..8b82bf9
--- /dev/null
+++ b/quota.sh
@@ -0,0 +1,23 @@
+#! /bin/bash
+# btrfs quotas test case
+#tmp=/sample
+status=1
+
+cleanup()
+{
+    btrfs subvolume delete $TEST_DIR/vol1
+}
+
+#trap "_cleanup ; exit \$status" 0 1 2 3 15
+
+btrfs quota enable $TEST_DIR
+echo "quota enabled on $TEST_DEV"
+btrfs subvolume create $TEST_DIR/vol1
+echo "vol1 created"
+btrfs qgroup show $TEST_DIR
+btrfs qgroup limit 2m $TEST_DIR/vol1
+echo "qgroup limited to 2mb"
+dd if=$TEST_DEV of=$TEST_DIR/vol1/file1 bs=3M count=1
+echo "tried to write 3m worth data"
+cleanup
+exit
-- 
1.8.1.2

<Prev in Thread] Current Thread [Next in Thread>
  • [test] btrfs quotas testing, Hemanth Kumar <=